UbixOS V2 2.0

Functions
signal.c File Reference
`#include <sys/signal.h>`
`#include <sys/sysproto_posix.h>`
`#include <sys/thread.h>`
`#include <lib/kprintf.h>`
`#include <assert.h>`
Include dependency graph for signal.c:

Go to the source code of this file.

## Functions
int | sys_sigaction (struct thread *td, struct sys_sigaction_args *args)
int | sys_sigprocmask (struct thread *td, struct sys_sigprocmask_args *args)

## Function Documentation

## ◆ sys_sigaction()

int sys_sigaction | ( | struct thread * | td,
|  | struct sys_sigaction_args * | args
| ) |  |

Definition at line 80 of file signal.c.

References sys_sigaction_args::act, memcpy(), sys_sigaction_args::oact, sys_sigaction_args::sig, thread::sigact, and thread::td_retval.

Here is the call graph for this function:

## ◆ sys_sigprocmask()

int sys_sigprocmask | ( | struct thread * | td,
|  | struct sys_sigprocmask_args * | args
| ) |  |

Definition at line 35 of file signal.c.

References __sigset::__bits, sys_sigprocmask_args::how, kprintf(), memcpy(), sys_sigprocmask_args::oset, sys_sigprocmask_args::set, SIG_BLOCK, SIG_SETMASK, SIG_UNBLOCK, thread::sigmask, and thread::td_retval.

Here is the call graph for this function: